Bug 755816 - Translation disappear when moving to next strings
Translation disappear when moving to next strings
Status: CLOSED INSUFFICIENT_DATA
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
1.4.2
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
https://translate.zanata.org/zanata/w...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 01:13 EST by nnakakit
Modified: 2013-03-01 00:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-09 23:46:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nnakakit 2011-11-22 01:13:10 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; ja; rv:1.9.2.24) Gecko/20111104 Red Hat/3.6.24-3.el6_1 Firefox/3.6.24

When I save my translation and am about to move to the next box, the
previous strings I have just translated disappear. This causes me to
translate the same strings again from the scratch. Also, at the same
time, all of the boxes in the target language in the page go blank. I
cannot see the translated strings unless I click into them or go
to next/previous page and come back the page where I was.

Reproducible: Sometimes



Expected Results:  
Translation is saved and shown in the target language.

This bug was discussed at the beginning of the meeting on 22th of November 2011 with Zanata and Translation teams.
Sam Friedmann has also encountered the same problem.
Comment 1 Alex Eng 2011-11-24 18:49:01 EST
Need more info on how to reproduce the problem.
Comment 2 nnakakit 2011-11-24 19:49:13 EST
(In reply to comment #1)
> Need more info on how to reproduce the problem.

The attached URL is the one I was using when this problem occurred.
What happened was when I saved my translation and was about to move to the next one, the right-hand side of the page went blank and my translation was lost.

The problem does not always occur so I guess if you keep tying, it will happen some time...

Any ideas on how to reproduce the problem, Sam?
Comment 3 Sam Friedmann 2011-11-24 22:26:56 EST
I think all the info is there unfortunately.
Basically, the last translated string disappear and we have to re-translate it.
It happens quite randomly and I haven't noticed any specific action that could be linked to it. But it does happen at least a once every hour.

Thanks,


Sam
Comment 4 Alex Eng 2011-11-28 18:31:00 EST
Suspect bug might be link to https://bugzilla.redhat.com/show_bug.cgi?id=756293. Need intensive manual test by tester.
Comment 5 Runa Bhattacharjee 2011-11-28 23:10:21 EST
Looks like the following steps can be tried to possibly replicate this problem:

1. Login to Zanata, choose a project, select a file with atleast 2 pages and start translating the first page

2. Somewhere before the last string of the first page, snap the network connection

3. Continue translating the strings on the first page

4. After translating the last string on the first page, move to the next page either with the keyboard keys or navigation buttons

5. Go back to the previous page again

6. Check to see if the translations done after step 2 are still visible.
Comment 6 Ding-Yi Chen 2011-11-29 23:50:37 EST
Did you encounter network disconnect when doing translation?
Comment 7 Ding-Yi Chen 2011-11-30 00:04:33 EST
Or perhaps it acts like Bug 755764?
Comment 8 Sam Friedmann 2011-11-30 00:07:27 EST
There is no network issue that I have noticed, also this can happen at any stage of the translation process (beginning, middle, or end the page...)
Comment 9 nnakakit 2011-11-30 00:29:53 EST
There is no network issue either for my case.
This seems similar to Bug 755764 but I think the difference is this problem happens randomly, not only when page pages.
Comment 10 Alex Eng 2012-01-08 19:06:52 EST
Is this bug still exists in 1.4.3 (latest release)?
Comment 11 nnakakit 2012-01-09 01:49:06 EST
While I was working today, the bug did not occur at all. I don't know if this means it has been fixed in 1.4.3. I will report if it occurs again.

Note You need to log in before you can comment on or make changes to this bug.